LIST {arules} | R Documentation

## List Representation for Objects Based on Class itemMatrix

### Description

Provides the generic function `LIST` and the S4 methods to create a list representation from objects based on `itemMatrix` (e.g., `transactions`, `tidLists`, or `itemsets`). These methods can be used for the coercion to a list.

### Usage

    LIST(from, ...)

    ## S4 method for signature 'itemMatrix'
    LIST(from, decode = TRUE)

    ## S4 method for signature 'transactions'
    LIST(from, decode = TRUE)

    ## S4 method for signature 'tidLists'
    LIST(from, decode = TRUE)

### Arguments

`from` | the object to be converted into a list.
`...` | further arguments.
`decode` | a logical controlling whether the items/transactions are decoded from the column numbers internally used by `itemMatrix` to the names stored in the object `from`. The default behavior is to decode.

### Details

Using `LIST` with `decode = TRUE` is equivalent to the standard coercion `as(x, "list")`. `LIST` returns the object `from` as a list of vectors. Each vector represents one row of the `itemMatrix` (e.g., items in a transaction or itemset).

### Value

a list primitive.

### Author(s)

Michael Hahsler

### See Also

`decode`, `coerce,itemMatrix,list-method`, `itemMatrix-class`, `DATAFRAME`

### Examples

    data(Adult)

    ### default coercions (same as as(Adult[1:5], "list"))
    LIST(Adult[1:5])

    ### coercion without item decoding
    LIST(Adult[1:5], decode = FALSE)

[Package arules version 1.6-3 Index]